mia-2dtrackpixelmovement
Prev | Tools for the Analysis of 2D image series | Next

### mia-2dtrackpixelmovement

#### Sysnopis:

`mia-2dtrackpixelmovement` {-i `string`} {-o `string`} {-t `io`} [ `options` ...]

#### Description:

Track the position of a pixel by means of a transformation obtained by using image registration. The pixel data is given in CSV format id;time;x;y;z;reserved The fields 'time', 'x', 'y', and 'z' are updated, and the fields 'id' and 'reserved' are preserved, empty lines are ignored.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input point set

-o, --out-file=(output, required); string

  output point set

-t, --transformation=(input, required); io

  transformation describing the monitored change. For supported file types see Plugin type: 2dtransform/io

#### Parameters

-T, --time-step=1; float

  time step to use for the position update

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

This program evaluated the changed position of pixels given in input.csv, by using a time step of 2.0 time units and the transformation change.v2df, and writes the updated positions to updated.csv.

    mia-2dtrackpixelmovement -i input.csv -o output.cvs --time-step 2.0 --transformation change.v2df

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2deval-transformquantity | Home | Tools for Myocardial Perfusion Analysis